#!/bin/sh

# save this script as file setupRt.sh

sudo apt-key adv --keyserver hkp://keys.gnupg.net --recv-key 8f374fef
sudo echo "deb http://linuxcnc.org/ precise base 2.6" | sudo tee -a /etc/apt/sources.list.d/linuxcnc.list
sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 8AC93F7A
sudo echo "deb http://us.archive.ubuntu.com/ubuntu precise main universe" | sudo tee -a /etc/apt/sources.list.d/linuxcnc.list
sudo echo "deb-src http://us.archive.ubuntu.com/ubuntu precise main universe" | sudo tee -a /etc/apt/sources.list.d/linuxcnc.list
wget -q -O- https://ftp-master.debian.org/keys/archive-key-7.0.asc | sudo apt-key add -
sudo echo "deb http://ftp.at.debian.org/debian-backports/ squeeze-backports main" | sudo tee -a /etc/apt/sources.list.d/linuxcnc.list
sudo add-apt-repository -y ppa:danielrichter2007/grub-customizer
sudo apt-get -y --yes update
sudo locale-gen --purge --no-archive
sudo update-initramfs -u -t
sudo apt-get install grub-customizer gdebi-core dpkg-dev bwidget libtk-img tclx hostmot2-firmware-all build-essential:native \
                     devscripts openssh-server equivs git  dvipng texlive-extra-utils texlive-latex-recommended \
                     texlive-fonts-recommended imagemagick texlive-font-utils tcl8.6-dev tk8.6-dev libxaw7-dev \
                     libncurses-dev libreadline-gplv2-dev asciidoc source-highlight dblatex xsltproc groff python-dev \
                     python-tk libglu1-mesa-dev libgtk2.0-dev autoconf libboost-python-dev texlive-lang-cyrillic \
                     texlive-lang-french texlive-lang-spanish texlive-lang-german libmodbus-dev libusb-1.0-0-dev graphviz \
                     inkscape libgnomeprintui2.2-dev w3c-linkchecker tk python-gst0.10 python-gtkglext1 python-numpy \
                     python-xlib tclreadline python-opengl blt freeglut3 python-imaging-tk libudev-dev python-pychart \
                     python-pil.imagetk linux-image-rt-686-pae mesa-common-dev \
                     linux-headers-rt-686-pae -y --no-install-recommends
wget ftp.us.debian.org/debian/pool/main/b/boo..._1.49.0-3.2_i386.deb
sudo gdebi -n libboost-python1.49.0_1.49.0-3.2_i386.deb
sudo sed -i -e 's/deb http\:\/\/linuxcnc.org\/ precise base 2.6/#deb http\:\/\/linuxcnc.org\/ precise base 2.6/' /etc/apt/sources.list.d/linuxcnc.list
sudo sed -i -e 's/deb http\:\/\/us.archive.ubuntu.com\/ubuntu precise main universe/#deb http\:\/\/us.archive.ubuntu.com\/ubuntu precise main universe/' /etc/apt/sources.list.d/linuxcnc.list
sudo sed -i -e 's/deb-src http\:\/\/us.archive.ubuntu.com\/ubuntu precise main universe/#deb-src http\:\/\/us.archive.ubuntu.com\/ubuntu precise main universe/' /etc/apt/sources.list.d/linuxcnc.list
sudo sed -i -e 's/deb http\:\/\/ftp.at.debian.org\/debian-backports\/ squeeze-backports main/#deb http\:\/\/ftp.at.debian.org\/debian-backports\/ squeeze-backports main/' /etc/apt/sources.list.d/linuxcnc.list
sudo apt-get -y --yes update
 with
rm -rf libboost-python1.49.0_1.49.0-3.2_i386.deb
sudo grub-customizer
sudo reboot

